# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate crossbeam

Name:           rust-%{crate}
Version:        0.4.1
Release:        2%{?dist}
Summary:        Support for concurrent programming

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/crossbeam
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No nightly
Patch0:         crossbeam-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(crossbeam-channel/default) >= 0.2.0 with crate(crossbeam-channel/default) < 0.3.0)
BuildRequires:  (crate(crossbeam-deque/default) >= 0.5.0 with crate(crossbeam-deque/default) < 0.6.0)
BuildRequires:  (crate(crossbeam-epoch/default) >= 0.5.0 with crate(crossbeam-epoch/default) < 0.6.0)
BuildRequires:  (crate(crossbeam-epoch/use_std) >= 0.5.0 with crate(crossbeam-epoch/use_std) < 0.6.0)
BuildRequires:  (crate(crossbeam-utils/default) >= 0.5.0 with crate(crossbeam-utils/default) < 0.6.0)
BuildRequires:  (crate(crossbeam-utils/use_std) >= 0.5.0 with crate(crossbeam-utils/use_std) < 0.6.0)
%if %{with check}
BuildRequires:  (crate(rand/default) >= 0.5.0 with crate(rand/default) < 0.6.0)
%endif

%global _description \
Support for concurrent programming: memory management, utilities, non-blocking\
data structures.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version}/
# https://github.com/aturon/crossbeam/issues/111
%exclude %{_bindir}/{stress-msq,bench}

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+use_std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use_std-devel %{_description}

This package contains library source intended for building other packages
which use "use_std" feature of "%{crate}" crate.

%files       -n %{name}+use_std-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Nov 13 2018 Josh Stone <jistone@redhat.com> - 0.4.1-2
- Adapt to new packaging

* Sat Sep 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.2-2
- Rebuild for rust-packaging v5

* Fri Jan 05 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.2-1
- Update to 0.3.2

* Sun Dec 31 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.0-2
- Bump rand to 0.4

* Sun Nov 05 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.0-1
- Update to 0.3.0

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.10-2
- Port to use rust-packaging

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.10-1
- Initial package
